escript::Distribution Struct Reference

`#include <Distribution.h>`

## Public Member Functions

| Distribution (JMPI mpiInfo, const DataTypes::IndexVector &firstComponent, DataTypes::index_t m=1, DataTypes::index_t b=0)
DataTypes::index_t | getFirstComponent () const
DataTypes::index_t | getLastComponent () const
DataTypes::dim_t | getGlobalNumComponents () const
DataTypes::dim_t | getMyNumComponents () const
DataTypes::dim_t | getMinGlobalComponents () const
DataTypes::dim_t | getMaxGlobalComponents () const

## Public Attributes

DataTypes::IndexVector | first_component
JMPI | mpi_info

## Detailed Description

Describes the distribution of a vector across processes. Process i has entries with global indices first_component[i] to first_component[i+1].

## Constructor & Destructor Documentation

## Distribution()

escript::Distribution::Distribution | ( | JMPI | mpiInfo,
|  | const DataTypes::IndexVector & | firstComponent,
|  | DataTypes::index_t | m = `1`,
|  | DataTypes::index_t | b = `0`
| ) |  |

inline

References first_component, and mpi_info.

## Member Function Documentation

## getFirstComponent()

DataTypes::index_t escript::Distribution::getFirstComponent | ( |  | ) | const

inline

References getLastComponent().

## getGlobalNumComponents()

DataTypes::dim_t escript::Distribution::getGlobalNumComponents | ( |  | ) | const

inline

References first_component, and mpi_info.

## getLastComponent()

DataTypes::index_t escript::Distribution::getLastComponent | ( |  | ) | const

inline

References first_component.

Referenced by getFirstComponent().

## getMaxGlobalComponents()

DataTypes::dim_t escript::Distribution::getMaxGlobalComponents | ( |  | ) | const

inline

## getMinGlobalComponents()

DataTypes::dim_t escript::Distribution::getMinGlobalComponents | ( |  | ) | const

inline

## getMyNumComponents()

DataTypes::dim_t escript::Distribution::getMyNumComponents | ( |  | ) | const

inline

## Member Data Documentation

## first_component

DataTypes::IndexVector escript::Distribution::first_component

Referenced by Distribution(), getGlobalNumComponents(), and getLastComponent().

## mpi_info

JMPI escript::Distribution::mpi_info

Referenced by Distribution(), and getGlobalNumComponents().

The documentation for this struct was generated from the following file:

- Distribution.h